import json
import sys
import spectra
import plotly.graph_objects as go

f = open("details.json")
prm = json.load(f)
prmstr = json.dumps(prm)

solver = spectra.Solver(prmstr)
isready = solver.IsReady()
if isready == False:
	print("Parameter load failed.")
	sys.exit()

solver.Run()
captions = solver.GetCaptions()
titles = captions["titles"]
units = captions["units"]
details = captions["details"]

for i in range(len(titles)):
	if titles[i] == "GA. Brilliance":
		index = i
		break

data = []
for i in range(len(details)):
	data.append(solver.GetDetailData(i))

energytitle = titles[0]+" ("+units[0]+")"
brtitle = titles[index]+" ("+units[index]+")"

fig = go.Figure()

for i in range(len(details)):
	fig.add_trace(go.Scatter(x = data[i]["variables"][0], y = data[i]["data"][index], name = details[i]))

fig.update_xaxes(title = energytitle)
fig.update_yaxes(title = brtitle)
fig.update_layout(title="Example of How to Reteive Data with \"details\" key.")
fig.show()
